const hand = document.querySelector('.hand');
const cursor = document.querySelector('.cursor');

document.addEventListener('mousemove', (e) => {
  const x = e.clientX - window.innerWidth / 2;
  const y = e.clientY - window.innerHeight / 2;
  
  const angleX = (y / window.innerHeight) * 60;
  const angleY = -(x / window.innerWidth) * 60;
  
  hand.style.transform = `rotateX(${60 - angleX}deg) rotateY(${angleY}deg) rotateZ(-30deg)`;
  
  cursor.style.left = `${e.clientX}px`;
  cursor.style.top = `${e.clientY}px`;
});

document.addEventListener('touchmove', (e) => {
  const touch = e.touches[0];
  const x = touch.clientX - window.innerWidth / 2;
  const y = touch.clientY - window.innerHeight / 2;
  
  const angleX = (y / window.innerHeight) * 60;
  const angleY = -(x / window.innerWidth) * 60;
  
  hand.style.transform = `rotateX(${60 - angleX}deg) rotateY(${angleY}deg) rotateZ(-30deg)`;
  
  cursor.style.left = `${touch.clientX}px`;
  cursor.style.top = `${touch.clientY}px`;
});